<?  error_reporting(0);
date_default_timezone_set('Asia/Singapore');  
if (substr_count($_SERVER['HTTP_ACCEPT_ENCODING'], 'gzip')) ob_start("ob_gzhandler"); else ob_start();
session_start();  
include_once('../config/minho.php');
include_once('../config/autoloadClass.php');
$autoload		=	new autoloadClass(); 
$mecon			=	new condbClass();
$requestData	=	$_REQUEST; 
$columns = array(
	0	=>	'Id',
	//1	=>	'Id',
	1	=>	'Block',
	2	=>	'Lot',
	3	=>	'FullName',
	4	=>	'DatePOIssued',
	5	=>	'Status'
);   
 
$rangeStart = isset($_REQUEST['range_start']) ?  $_REQUEST['range_start'] : date('Y-m-d', strtotime(date('01-m-Y')));
$rangeEnd 	= isset($_REQUEST['range_end'])   ? $_REQUEST['range_end']	  : date("Y-m-t", strtotime(date('Y-m-d')));
 
$tobedate 	= isset($_REQUEST['tobe_stat_date'])   ? $_REQUEST['tobe_stat_date']	  : "yes";

$resultQuery 		= "SELECT Id, Block, Lot, Contractor as Fullname, DatePOIssued, Status FROM releases_to_contractor "; 

$sql			=	$resultQuery."  WHERE ReleasesStatus='Overpaid' AND Status = 'active' ";

if(!empty($requestData['search']['value']) ) { 
	$arr = explode(" ",$requestData['search']['value']);  
	foreach($arr as $ind){
		$ind = str_replace(',','',$ind);		 
		$sql.=" AND ( Block LIKE '%".$ind."%' ";
		$sql.=" OR Lot LIKE '%".$ind."%' ";
		$sql.=" OR Contractor LIKE '%".htmlentities($ind)."%' ";
		$sql.=" OR UPPER(DATE_FORMAT(DatePOIssued,'%m/%d/%Y')) LIKE '%".$ind."%' ) ";   
	}
}
/*
if($tobedate=="yes"){
	if( !empty($rangeStart) && !empty($rangeEnd) ){
		$sql .= " AND DatePOIssued BETWEEN ('".date('Y-m-d', strtotime($rangeStart))."') AND ('".date('Y-m-d', strtotime($rangeEnd))."')";
	}else if( !empty($rangeStart)){
		$sql .= " AND DatePOIssued >= ('".date('Y-m-d', strtotime($rangeStart))."') ";
	}else if( !empty($rangeEnd)){
		$sql .= " AND DatePOIssued <= ('".date('Y-m-d', strtotime($rangeEnd))."') ";
	}
}
 */
$mecon->query($sql);
$result			= $mecon->resultset(); 
$totalData		= count($result);
$totalFiltered	=	$totalData;
  
//$sql.=" ORDER BY ". $columns[$requestData['order'][0]['column']]."   ".$requestData['order'][0]['dir']." LIMIT ".$requestData['start']." ,".$requestData['length']."   "; 

$sql.=" ORDER BY ". $columns[$requestData['order'][0]['column']]."   ".$requestData['order'][0]['dir']." ,cast(Block as unsigned) asc, cast(Lot as unsigned) asc  LIMIT ".$requestData['start']." ,".$requestData['length']."   "; 



$mecon->query($sql);
$data = array();
$result = $mecon->resultset();

		for($a=0; $a<count($result); $a++){
			$nestedData=array();
			$nestedData[] = '<a href="index.php?pg=payment&type=releases_to_contractor&action=edit&id='.$result[$a]['Id'].'"><span class="btn btn-xs btn-success glyphicon glyphicon-pencil" title="Releases to Contractor"></span></a>';
			//$nestedData[] = $a+1;
			$nestedData[] = $result[$a]['Block'];
			$nestedData[] = $result[$a]['Lot'];
			$nestedData[] = $result[$a]['Fullname'];  
			$nestedData[] = (($result[$a]['DatePOIssued']=='1970-01-01') || ($result[$a]['DatePOIssued']=='')) ? "" : date('m/d/Y', strtotime($result[$a]['DatePOIssued']));
			$nestedData[] = strtoupper($result[$a]['Status']);  
			$data[] = $nestedData;
		} 
$json_data = array(
			"draw"            => intval( $requestData['draw'] ),
			"recordsTotal"    => intval( $totalData ),
			"recordsFiltered" => intval( $totalFiltered ),
			"data"            => $data
			);
			 
echo json_encode($json_data);
exit();
ob_end_flush();